Black Bar Across Screen with gutsy i810

Bug #137604 reported by Allan MacKinnon on 2007-09-05
64
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Undecided
Unassigned
xorg-server (Ubuntu)
High
Bryce Harrington

Bug Description

Binary package hint: xorg

The latest Xorg update caused my display to go funny.

It created a black bar that encompasses 1/3 of my screen, through the center, running from left to right. Nothing appears above it, not even my mouse cursor.

My resuloution is 1024x768
My monitor is an hp mx703
My chipset is Intel i810 and I also have a VoodooII PCI card.

It doesn't appear in a screenshot of my desktop and remains at any resolution.

Related branches

Bryce Harrington (bryce) wrote :

Hi Allan,

When reporting Xorg bugs, please always attach your /etc/X11/xorg.conf, /var/log/Xorg.0.log, and the output from lscpi -vvnn. Also, since often Xorg issues don't show up in screenshots, if you have access to a digital camera, sometimes it's useful to just photograph the screen.

xorg.conf

Hyrum Wright (hyrumwright) wrote :
Download full text (4.8 KiB)

I am also experiencing this problem.

Output of `lspci -vvnn':

00:00.0 Host bridge [0600]: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub [8086:1130] (rev 02)
        Subsystem: Dell Unknown device [1028:00d7]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0
        Capabilities: <access denied>

00:02.0 VGA compatible controller [0300]: Intel Corporation 82815 CGC [Chipset Graphics Controller] [8086:1132] (rev 02) (prog-if 00 [VGA])
        Subsystem: Dell Unknown device [1028:00d7]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at f4000000 (32-bit, prefetchable) [size=64M]
        Region 1: Memory at ff000000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: <access denied>

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 02) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: fd000000-feffffff
        Prefetchable memory behind bridge: f9000000-f9ffffff
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

00:1f.0 ISA bridge [0601]: Intel Corporation 82801BA ISA Bridge (LPC) [8086:2440] (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801BA IDE U100 [8086:244b] (rev 02) (prog-if 80 [Master])
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
        Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
        Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
        Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
        Region 4: I/O ports at ffa0 [size=16]

00:1f.2 USB Controller [0c03]: Intel Corporation 82801BA/BAM USB (Hub #1) [8086:2442] (rev 02) (prog-if 00 [UHCI])
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- ...

Read more...

My camera is charging at the moment.

Just imagine a big black bar taking of 1/3 of the screen running from left to right.

Hyrum Wright (hyrumwright) wrote :

Here's the UbuntuForums thread on the subject

How in the blazes do I mount my camera...

Got the pics. here they come!

Jouni Mettala (jouni-mettala) wrote :

Downgrading xserver-xorg-core ...dsfg-12-ubuntu3 to ...dsfg-12ubuntu2 seems to be workaround.

How do we downgrade to that version? I'm going nuts trying to see around this black bar.

There is no xserver-xorg-core_1.3.0.0.dfsg-12ubuntu2_i386.deb in the repos anymore so I couldnt force the version in Synaptic or with 'sudo apt-get install xserver-xorg-core_1.3.0.0.dfsg-12ubuntu2'

Mikes (michael-lachine) wrote :

Same problem here. :(

Hyrum Wright (hyrumwright) wrote :

After using half a screen for 3 days, I figured out how to downgrade:

Although I was unable to get xserver-xorg-core_1.3.0.0.dfsg-12ubuntu2 from the repos, I did find the .deb file in /var/cache/apt/archives From there, I was simply one `sudo dpkg -i xserver-xorg-core_2\:1.3.0.0.dfsg-12ubuntu2_i386.deb` away from a usable system.

Although this works, it would still be nice for this bug to be fixed in the repos.

Guillaume Martres (smarter) wrote :

I just installed Kubuntu on a friend's computer and have the same problem(with i810, too) can someone please upload xserver-xorg-core_1.3.0.0.dfsg-12ubuntu2 so that he can actually see something on his desktop?

Jouni Mettala (jouni-mettala) wrote :

Dmesg gives these errors with ...ubuntu3 package but dont give them with working ...ubuntu2 package. Is this related to this bug?

[12187.156000] [drm:drm_release] *ERROR* reclaim_buffers_locked() deadlock. Please rework this
[12187.156000] driver to use reclaim_buffers_idlelocked() instead.
[12187.156000] I will go on reclaiming the buffers anyway.
[12187.720000] [drm] DMA Cleanup
[12191.472000] mtrr: base(0xd0000000) is not aligned on a size(0x180000) boundary
[12191.496000] [drm] Using v1.4 init.
[12194.928000] [drm:drm_release] *ERROR* reclaim_buffers_locked() deadlock. Please rework this
[12194.928000] driver to use reclaim_buffers_idlelocked() instead.
[12194.928000] I will go on reclaiming the buffers anyway.

Hyrum, upload that file to UbuntuForums in the appropriate forum thread or somewhere else where we can get it.

Post the link here, please.

If that recent xorg update was supposed to fix things, it didn't.

Changed in xorg:
status: New → Confirmed

*cry* it's only being confirmed now???

I hope there wasn't much of a difference between the ubuntu2 and ubuntu3 versions so this can be fixed promptly.

Timo Aaltonen (tjaalton) wrote :

ubuntu3 added a bunch of patches backported from 1.4. Have you tried using xserver-xorg-video-intel, instead of -i810?

Jouni Mettala (jouni-mettala) wrote :

Yes this happens with i810 and intel.

Timo Aaltonen (tjaalton) wrote :

I rebuilt -intel against the new xserver to see if that makes a difference:

http://users.tkk.fi/~tjaalton/dpkg

x86 deb available.

Jouni Mettala (jouni-mettala) wrote :

Rebuilt -intel doesn't make any difference.

Is it possible for someone to post a link to ubuntu2 on this thread as a temporary fix?

My current screen is just plain unworkable.

Hyrum Wright (hyrumwright) wrote :

I've posted the -ubuntu2 version here:
http://test.hyrumwright.org/xserver-xorg-core_2%3A1.3.0.0.dfsg-12ubuntu2_i386.deb

As a work around, you can install it with `sudo dpkg -i xserver-xorg-core_2\:1.3.0.0.dfsg-12ubuntu2_i386.deb`

Hope this helps!

Thanks! I can now see the middle of my screen :D

BTW, The command was:

sudo dpkg -i xserver-xorg-core_2:1.3.0.0.dfsg-12ubuntu2_i386.deb

You added a slash there by accident.

art alexion (art-alexion) wrote :

Thank you for posting the prior package. That fixed my problem.

This is a temporary workaround, because now aptitude wants to upgrade it. I am a bit confused as to how to run the daily updates while excluding this one. I know that there is a command (I don't remember it now) that tells apt to leave it alone, but that seems it would prevent upgrading to the eventual fix.

Any suggestions other than saying no to aptitude upgrade and the doing individual installs of every other upgraded package?

art, just run the update manager and deselect xserver-xorg-core from the upgrade list.

Now if y'all don't mind, I have some work to catch up on :)

Timo Aaltonen (tjaalton) on 2007-09-12
Changed in xorg:
importance: Undecided → High

I hope the ubuntu4 upgrade wasn't made to fix this issue because it didn't work.

Problem persists.

IdleOne (idleone) wrote :

Still have black band with ubuntu3 and ubuntu4

IdleOne (idleone) wrote :

to prevent xserver-xorg-core upgrade after downgrading to ubuntu2 put a hold on package xserver-xorg-core :
" sudo aptitude hold xserver-xorg-core " this will hold package to current installed version untill this bug is fixed ( SOON!? )

Nick_Hill (nick-nickhill) wrote :

I have modified the bug title so others searching for i810 and gutsy will find it.

If you are using a screen with 1024x768 resolution, then it will cover 1/3rd of your screen. However, the band is actually 256 pixels wide, and always starts 256 pixels from the top of the screen, whatever resolution you use.

Changed in xorg:
status: New → Invalid
Bill2304 (billsalatino) wrote :

Today we had update from xorg ... ubuntu5 and the black strip is still in the middle 1/3 of my screen, for the momento I keep ubuntu2 update version and it works clear.

Nick_Hill (nick-nickhill) wrote :

The move to ->invalid was for xorg which presumably contains the client libraries and is unrelated to the problem.

xserver is related to the i810 driver causing the problem, so has not been marked invalid.

Changed in xorg-server:
status: Confirmed → Triaged
Changed in xorg-server:
status: Triaged → Confirmed
Steve Langasek (vorlon) wrote :

Bryce, feel free to pass this on if someone else should look at it instead.

Changed in xorg-server:
assignee: nobody → bryceharrington
Bryce Harrington (bryce) wrote :

I notice that several people reporting this bug have Xorg.0.log files showing that Direct Rendering is disabled. Reporters also seem to have 810 chipsets.

The changes made between ubuntu2 and ubuntu3 were backports of various bug fixes from the 1.3.99 branch. Presumably one of those patches broke something for i810.

Patch 245 is of interest since it describes a situation where DRI is disabled: "Fixes issue where if DRI is disabled, GL_MAX_TEXTURE_COORDS_ARB value is not returned correctly from glGetIntegerv()." But that's just a guess; any one of the bugs could be causing this regression.

I've built some versions of xserver that each disable different patches from that ubuntu3 version. Those of you experiencing this issue, please install and test each of these to see if they correct the behavior. Depending on which one(s) work, that will help narrow down the fix. If my hypothesis about patch 245 is correct, then ppa1 and ppa2 will fail, but ppa3 and pp4 will work.

http://people.ubuntu.com/~bryce/Testing/blackbar/

(ppa2 is coming soon - still building)

Jouni Mettala (jouni-mettala) wrote :

ppa1 works for me. Others don't

Bryce Harrington (bryce) wrote :

Hmm, interesting; not what I expected. But that limits it to these four, which were enabled in 2,3,4 but disabled only in 1.

#202_Add_quirk_for_Acer_AL1706_monitor_to_force_60hz_refresh.patch
#205_Bug_10770-_Inputdevs_isnt_a_valid_config_file_keyword.patch
#208_Bug_6620-_Fixed_a_missing_else_in_ATIPseudoDMAInit.patch
#214_Bug_9680-_Remove_bogus_blank_length_limiting_in_xf86SetModeCrtc.patch

Of these four, 214 sounds the most suspicious, 208 would be next. I'll roll packages with these disabled directly.

Thanks! Anyone else able to reproduce Jouni's findings?

Dovel (dov01) wrote :

ppa1 works well for me too!

Notice to all: Mr Bryce Harrington is now my friend and if I ever visit wherever it is he lives, I intend to buy him a coffee!

My original duplicate of this report @ <a href="https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/141207">#141207</a>.

Bryce Harrington (bryce) wrote :

I've created ~ppa5 with only patch 214 disabled (also available at http://people.ubuntu.com/~bryce/Testing/blackbar/).

Dov-El, thanks for confirming jouni's initial findings. I'd appreciate if you could verify that ~ppa5 also works, but I think we have enough evidence to implicate patch 214. I don't know if there's time remaining to get this in to -beta, but I'll prepare a debdiff dropping this patch and give it a shot.

ppa5 works for me!

Bryce Harrington (bryce) wrote :

It may be too late for gutsy-beta, but the fix is ready for upload here:

  http://people.ubuntu.com/~bryce/Uploads/ xorg-server_1.3.0.0.dfsg-12ubuntu6.*

The corresponding debdiff is attached.

Thanks Jouni, Dov-El, and Dominik for testing and validating! Marking bug fixed.

Changed in xorg-server:
status: Confirmed → Fix Committed
Steve Langasek (vorlon) wrote :

please upload this fix for gutsy-beta.

Bryce Harrington (bryce) wrote :

Uploaded (thx kees!)

Changed in xorg-server:
status: Fix Committed → Fix Released
Bryce Harrington (bryce) wrote :

xorg-server (2:1.3.0.0.dfsg-12ubuntu6) gutsy; urgency=low

  * Drop 214_Bug_9680-_Remove_bogus_blank_length_limiting_in_xf86SetModeCrtc.patch
    as it is causing black bars to appear on screen for i810 users.
    (closes LP: #137604 + several dupes)

 -- Bryce Harrington <email address hidden> Thu, 20 Sep 2007 14:35:54 -0700

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers